#!/bin/csh -f
#
# This script compiles all the potential energy surface routines used in
# in the POLYRATE test suite on LINUX.
#
# usage: comp_pot.linux
#
# Set the command to be used by the compiler
#
set CF = "g77 -c "
#
# Set the current directory as the working directory and change
# directories to the working directory.
#
#
set polydir = `cat ~/.poly_path9.3`
set wrkdir  = $polydir/poten
set objdir  = $polydir/obj
set utildir = $polydir/poten
#
cd $wrkdir
#
# Set the directory that contains the utility files.
#
# Compile the potential energy subprograms that are self contained
#
$CF ch5.f
$CF ch4o.f
$CF cmc.f
$CF cwmc.f
$CF dumpot.f
$CF h2ni.f
$CF hni.f
$CF nh3.f
#
# Create complete potential subprograms for those potentials that require
# utility files and compile the concatenated files.  This approach is used
# because object modules cannot be concatenated on some machines.
#
cat h3.f setup3.f surf3.f coord3.f chain3.f > h3pot.f
cat clhbr.f setup3.f surf3.f coord3.f chain3.f > clhbrpot.f
cat ho2.f setup3.f surf3.f coord3.f chain3.f > ho2pot.f
cat oh3.f setup4.f surf4.f coord4.f chain4.f > oh3pot.f
#
# Compile the potential subprograms that have been created above.
#
$CF h3pot.f
$CF clhbrpot.f
$CF ho2pot.f
$CF oh3pot.f
#
# Move object modules to the polyrate/obj directory
#
mv ch5.o      $objdir/ch5.o
mv ch4o.o     $objdir/ch4o.o
mv cmc.o      $objdir/cmc.o
mv cwmc.o     $objdir/cwmc.o
mv dumpot.o   $objdir/dumpot.o
mv h2ni.o     $objdir/h2ni.o
mv hni.o      $objdir/hni.o
mv nh3.o      $objdir/nh3.o
mv h3pot.o    $objdir/h3.o
mv clhbrpot.o $objdir/clhbr.o
mv ho2pot.o   $objdir/ho2.o
mv oh3pot.o   $objdir/oh3.o
#
# Remove the concatenated potential files.
#
/bin/rm h3pot.f
/bin/rm clhbrpot.f
/bin/rm ho2pot.f
/bin/rm oh3pot.f
#
#
